Zum Hauptinhalt springen
POST
/
projects
/
quote
Quote project creation
curl --request POST \
  --url https://api.youka.io/api/v1/projects/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "splitModel": "mdx23c",
  "inputFileId": "<string>",
  "durationSeconds": 123,
  "lyricsSource": {
    "type": "<string>",
    "language": "af",
    "syncModel": "audioshake-transcription"
  }
}
'
{
  "creditsRequired": 4503599627370495,
  "availableBalance": 4503599627370495,
  "sufficientBalance": true,
  "durationSeconds": 123,
  "breakdown": {
    "split": 4503599627370495,
    "sync": 4503599627370495
  }
}

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
splitModel
enum<string>
erforderlich
Verfügbare Optionen:
mdx23c,
audioshakeai,
audioshake_vocals_lead,
musicai_instrumental_only,
musicai_lead_backing_other,
musicai_with_backing_vocals,
musicai_without_backing_vocals,
uvr_mdxnet_kara_2,
bs_roformer,
mel_band_roformer_instrumental_becruily,
mel_band_roformer_instrumental_instv7_gabox,
demucs
inputFileId
string
durationSeconds
number
Erforderlicher Bereich: x <= 1200
lyricsSource
object

Antwort

200 - application/json

Project creation quote

creditsRequired
integer
erforderlich
Erforderlicher Bereich: 0 <= x <= 9007199254740991
availableBalance
integer
erforderlich
Erforderlicher Bereich: 0 <= x <= 9007199254740991
sufficientBalance
boolean
erforderlich
durationSeconds
number
erforderlich
breakdown
object
erforderlich